This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1477950 - sdk4 does not handle unicode data
sdk4 does not handle unicode data
Status: ON_QA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk-python (Show other bugs)
4.1.0
x86_64 Linux
unspecified Severity medium
: ovirt-4.2.0
: ---
Assigned To: Ondra Machacek
Radim Hrazdil
: ZStream
Depends On: 1461060
Blocks: 1479479
  Show dependency treegraph
 
Reported: 2017-08-03 05:56 EDT by Olimp Bockowski
Modified: 2017-10-04 11:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-ovirt-engine-sdk4-4.1.6
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
: 1479479 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olimp Bockowski 2017-08-03 05:56:54 EDT
Description of problem:

There is a problem which could lead to different problems. One of them I am reporting is the failure fetching information about hypervisors from API. An example error message:

ERROR: Failure fetching information about hypervisors from API.
Error (UnicodeDecodeError): 'ascii' codec can't decode byte 0xd0 in position 32204: ordinal not in range(128)
ERROR: _get_hypervisors_from_api: 'ascii' codec can't decode byte 0xd0 in position 32204: ordinal not in range(128)

The other possibility could be a failure with non-UTF8 files inside folders which are collected by the engine-log-collector.

It looks like a regression because for engine-log-collector it was working. 

Version-Release number of selected component (if applicable):
4.1.

How reproducible:
always

Steps to Reproduce:
1. put, for example, Cyrillic or German/French special characters to the "description" field for hypervisor
2. try to run: ovirt-log-collector (which is supposed to collect sosreports from RHV Hosts)

Actual results:
Failure and error message.

Expected results:
it is working in the same way as it used to work for engine-log-collector

Additional info:
It looks like the UnicodeDecodeError is the Python Exception which normally happens when decoding a string from a certain coding.
Comment 3 Martin Perina 2017-08-03 08:55:06 EDT
Handling unicode characters in Python SDKv4 should be fixed by BZ1461060 targeted to 4.1.5

Note You need to log in before you can comment on or make changes to this bug.